=== debian/control ===
Source: ros-dashing-rviz-common
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-dashing-ament-cmake, ros-dashing-ament-cmake-cppcheck, ros-dashing-ament-cmake-cpplint, ros-dashing-ament-cmake-gmock, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-lint-cmake, ros-dashing-ament-cmake-uncrustify, ros-dashing-geometry-msgs, ros-dashing-pluginlib, ros-dashing-rclcpp, ros-dashing-resource-retriever, ros-dashing-rviz-assimp-vendor, ros-dashing-rviz-ogre-vendor, ros-dashing-rviz-rendering, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-tf2, ros-dashing-tf2-geometry-msgs, ros-dashing-tf2-ros, ros-dashing-tinyxml-vendor, ros-dashing-urdf, ros-dashing-yaml-cpp-vendor, ros-dashing-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-dashing-rviz-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, qtbase5-dev, ros-dashing-geometry-msgs, ros-dashing-pluginlib, ros-dashing-rclcpp, ros-dashing-resource-retriever, ros-dashing-rviz-assimp-vendor, ros-dashing-rviz-ogre-vendor, ros-dashing-rviz-rendering, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-tf2, ros-dashing-tf2-geometry-msgs, ros-dashing-tf2-ros, ros-dashing-tinyxml-vendor, ros-dashing-urdf, ros-dashing-yaml-cpp-vendor, ros-dashing-ros-workspace
Description: Common rviz API, used by rviz plugins and applications.
